Loading...
Searching...
No Matches
pdftron::PDF::TransPDF Class Reference

`#include <TransPDF.h>`

## Static Public Member Functions
static void | ExtractXLIFFWithFilter (PDFDoc &input_output_pdf, Filters::Filter &output_stream_for_xliff, const TransPDFOptions &options=TransPDFOptions())
static void | ApplyXLIFFWithFilter (PDFDoc &input, Filters::Filter &incoming_xliff, const TransPDFOptions &options=TransPDFOptions())
static void | ExtractXLIFF (PDFDoc &input_output_pdf, const UString &output_xliff, const TransPDFOptions &options=TransPDFOptions())
static void | ApplyXLIFF (PDFDoc &input, const UString &incoming_xliff, const TransPDFOptions &options=TransPDFOptions())

## Detailed Description

The class TransPDF. static interface to TransPDF xliff extraction and importing

Definition at line 24 of file TransPDF.h.

## Member Function Documentation

## ◆ ApplyXLIFF()

void pdftron::PDF::TransPDF::ApplyXLIFF | ( | PDFDoc & | input,
|  | const UString & | incoming_xliff,
|  | const TransPDFOptions & | options = TransPDFOptions() )
| static

Import translated XLIFF into a tagged PDF.

Parameters

  input | The pdf to be processed.
  incoming_xliff | Path to the XLIFF to import.
  options | TransPDF options (optional).

## ◆ ApplyXLIFFWithFilter()

void pdftron::PDF::TransPDF::ApplyXLIFFWithFilter | ( | PDFDoc & | input,
|  | Filters::Filter & | incoming_xliff,
|  | const TransPDFOptions & | options = TransPDFOptions() )
| static

Import translated XLIFF into a tagged PDF.

Parameters

  input | The pdf to be processed.
  incoming_xliff | The XLIFF to import.
  options | TransPDF options (optional).

## ◆ ExtractXLIFF()

void pdftron::PDF::TransPDF::ExtractXLIFF | ( | PDFDoc & | input_output_pdf,
|  | const UString & | output_xliff,
|  | const TransPDFOptions & | options = TransPDFOptions() )
| static

Extract the XLIFF and tag a PDF for translation.

Parameters

  input_output_pdf | The pdf to be processed.
  output_xliff | Path to the extracted XLIFF.
  options | TransPDF options (optional).

## ◆ ExtractXLIFFWithFilter()

void pdftron::PDF::TransPDF::ExtractXLIFFWithFilter | ( | PDFDoc & | input_output_pdf,
|  | Filters::Filter & | output_stream_for_xliff,
|  | const TransPDFOptions & | options = TransPDFOptions() )
| static

Extract the XLIFF and tag a PDF for translation.

Parameters

  input_output_pdf | The pdf to be processed.
  output_stream_for_xliff | The XLIFF extracted.
  options | TransPDF options (optional).

The documentation for this class was generated from the following file:

- PDF/TransPDF.h